function [rate] = ReactionRate(kappa,Xc,nu)
%ReactionRate Computes reaction rate for mass-action kinetics
% Inputs:
%   kappa = reaction rate constant
%   Xc = current state, s x 1
%   nu = reaction substrate vector, s x 1
% Output:
%   rate = reaction rate

% retrive length
n = length(Xc);

% initialize rate
rate = ones(1,n);

% loop on species
for i = 1:n
    rate(i) = prod(Xc(i) - (0:(nu(i)-1)));
end

% compute rate
rate = kappa*prod(rate);

end
