clear all; close all; clc

% number of species
n = 2;

% volume scaling
V = 256;

% reaction rate constants parameter
% D = [1/16 1/256 1/4096]
D = 1/4096;

% initial state
X0 = V*ones(n,1);

% time limit
T = Inf;

% computational time limit
Tlim = 10;

% graphs option
graphs = 1;

% set seed
rng default

% process simulation
[t,X] = TogashiKaneko(n,D,V,X0,T,Tlim);

% normalized countings
Y = X/V;

% plot processes
figure
for i = 1:n
    stairs(t,Y(i,:)), hold on
end

% plot equilibrium
plot(t([1 end]),[1;1],'k--')

% graphic options
xlim(t([1 end])), ylim([0,n])
xlabel('t'), ylabel('C(t)')
str = sprintf('Process realization: V = %d, D = %.3e',V,D);
title(str)
